### Function

# Gimp DrawableFilter get_by_id

since: 3.0

#### Declaration [src]

    GimpDrawableFilter*
    gimp_drawable_filter_get_by_id (
      gint32 filter_id
    )

#### Description

No description available.

Available since: 3.0

#### Parameters

`filter_id`

  Type: `gint32`

  The %GimpDrawableFilter id.

#### Return value

Type: `GimpDrawableFilter`

A `GimpDrawableFilter` for `filter_id` or `NULL` if `filter_id` does not represent a valid drawable’s filter. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.